name: identity

services:
  authelia:
    image: authelia/authelia:latest
    container_name: authelia
    restart: unless-stopped
    ports:
      - "9091:9091"
    environment:
      TZ: ${TZ}
    volumes:
      - /mnt/docker-ssd/docker/compose/identity/authelia/configuration.yml:/config/configuration.yml:ro
      - /mnt/docker-ssd/docker/compose/identity/authelia/users_database.yml:/config/users_database.yml:ro
      - /mnt/tank/docker/appdata/authelia:/config/data
    healthcheck:
      test: ["CMD-SHELL", "wget -qO- http://127.0.0.1:9091/api/health >/dev/null 2>&1 || exit 1"]
      interval: 30s
      timeout: 10s
      retries: 5
      start_period: 45s
    networks:
      - ix-databases_shared-databases
      - pangolin

networks:
  ix-databases_shared-databases:
    external: true
  pangolin:
    external: true
